<template>
  <div class="flex-grow-1">
    <div class="d-flex align-center py-3">
      <div>
        <div class="display-1"> {{ $t("ProviderEdit.accountInformation") }} </div>

      </div>
    </div>

    <v-tabs v-model="tab" :show-arrows="false" background-color="transparent">
      <v-tab to="#tabs-account">{{ $t("ProviderEdit.Account") }}</v-tab>
      <v-tab to="#ProviderTime">{{
        $t("ProviderEdit.InformationActivitySalon")
      }}</v-tab>
      <v-tab to="#Employees">{{ $t("ProviderEdit.Employees") }}</v-tab>
      <v-tab to="#Services">{{ $t("ProviderEdit.Services") }}</v-tab>
      <v-tab to="#Photos">{{ $t("ProviderEdit.Photos") }}</v-tab>
      <v-tab to="#Packages">{{ $t("ProviderEdit.Packages") }}</v-tab>
      <v-tab to="#Offers">{{ $t("ProviderEdit.offers") }}</v-tab>
      <v-tab to="#alertsAndFeatures">{{ $t("ProviderEdit.alertsAndFeatures") }}</v-tab>
    </v-tabs>

    <v-tabs-items v-model="tab">
      <v-tab-item value="tabs-account">
        <account-tab ref="tabs-account"></account-tab>
      </v-tab-item>

      <v-tab-item value="ProviderTime">
        <ProviderTime ref="ProviderTime"></ProviderTime>
      </v-tab-item>
      <v-tab-item value="Employees">
        <Employees ref="Employees"></Employees>
      </v-tab-item>
      <v-tab-item value="Services">
        <Services ref="Services"></Services>
      </v-tab-item>
      <v-tab-item value="Photos">
        <Photos ref="Photos"></Photos>
      </v-tab-item>
      <v-tab-item value="Packages">
        <Packages ref="Packages"></Packages>
      </v-tab-item>
      <v-tab-item value="Offers">
        <Offers ref="Offers"></Offers>
      </v-tab-item>
      <v-tab-item value="alertsAndFeatures">
        <alertsAndFeatures ref="alertsAndFeatures"></alertsAndFeatures>
      </v-tab-item>
    </v-tabs-items>
  </div>
</template>

<script>
import AccountTab from "./EditUser/AccountTab";
import ProviderTime from "./EditUser/ProviderTime";
import Employees from "./EditUser/employees";
import Services from "./EditUser/services";
import Photos from "./EditUser/photos";
import Packages from "./EditUser/packages";
import Offers from "./EditUser/offers";
import alertsAndFeatures from "./EditUser/alertsAndFeatures";

export default {
  components: {
    AccountTab,
    ProviderTime,
    Employees,
    Services,
    Photos,
    Packages,
    Offers,
    alertsAndFeatures,
  },
  data() {
    return {
      tab: null,
      breadcrumbs: [
        {
          text: this.$i18n.t("ProviderEdit.User"),
          to: "/users/list",
          exact: true,
        },
        {
          text: this.$i18n.t("ProviderEdit.EditUser"),
        },
      ],
    };
  },
};
</script>
